/**
 * SKA MID Sensitivity Calculator API
 * The SKA MID Sensitivity Calculator API offers two modes: continuum and zoom.  Each of these has an API resource to calculate a sensitivity or integration time for an observation,  and another to retrieve information relating to image weighting (beam-size and relative sensitivity).  There is also a resource for obtaining subarray information. 
 *
 * The version of the OpenAPI document: 10.0.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { MidFrequencyWithUnit } from './frequencyWithUnit';
import { MidBeamSize } from './beamSize';
import { MidConfusionNoise } from './confusionNoise';


export interface MidWeightingSubbandResult { 
    /**
     * Weighting correction factor
     */
    weighting_factor: number;
    /**
     * Surface-brightness-sensitivity conversion factor
     */
    sbs_conv_factor: number;
    confusion_noise: MidConfusionNoise;
    beam_size: MidBeamSize;
    subband_frequency?: MidFrequencyWithUnit;
}

